# wxBookCtrlEvent Class Reference
[Events, Book Controls]

`#include <wx/bookctrl.h>`

Inheritance diagram for wxBookCtrlEvent:
[legend]

## Detailed Description

This class represents the events generated by book controls (wxNotebook, wxListbook, wxChoicebook, wxTreebook).

The PAGE_CHANGING events are sent before the current page is changed. It allows the program to examine the current page (which can be retrieved with wxBookCtrlEvent::GetOldSelection) and to veto the page change by calling wxNotifyEvent::Veto if, for example, the current values in the controls of the old page are invalid.

The PAGE_CHANGED events are sent after the page has been changed and the program cannot veto it any more, it just informs it about the page change.

To summarize, if the program is interested in validating the page values before allowing the user to change it, it should process the PAGE_CHANGING event, otherwise PAGE_CHANGED is probably enough. In any case, it is probably unnecessary to process both events at once.

##

Library: wxCore

Category: Events, Book Controls

See also:
  wxNotebook, wxListbook, wxChoicebook, wxTreebook, wxToolbook

## Public Member Functions
| wxBookCtrlEvent (wxEventType eventType=wxEVT_NULL, int id=0, int sel=wxNOT_FOUND, int oldSel=wxNOT_FOUND)
| Constructor (used internally by wxWidgets only).
int | GetOldSelection () const
| Returns the page that was selected before the change, `wxNOT_FOUND` if none was selected.
int | GetSelection () const
| Returns the currently selected page, or `wxNOT_FOUND` if none was selected.
void | SetOldSelection (int page)
| Sets the id of the page selected before the change.
void | SetSelection (int page)
| Sets the selection member variable.

List of all members.

## Constructor & Destructor Documentation

wxBookCtrlEvent::wxBookCtrlEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | int | id = `0`,
|  | int | sel = `wxNOT_FOUND`,
|  | int | oldSel = `wxNOT_FOUND` |
| ) |  |  |

Constructor (used internally by wxWidgets only).

## Member Function Documentation

int wxBookCtrlEvent::GetOldSelection | ( |  | ) | const

Returns the page that was selected before the change, `wxNOT_FOUND` if none was selected.

int wxBookCtrlEvent::GetSelection | ( |  | ) | const

Returns the currently selected page, or `wxNOT_FOUND` if none was selected.

Note:
  under Windows, GetSelection() will return the same value as GetOldSelection() when called from the `EVT_BOOKCTRL_PAGE_CHANGING` handler and not the page which is going to be selected.

Reimplemented from wxCommandEvent.

void wxBookCtrlEvent::SetOldSelection | ( | int | page | ) |

Sets the id of the page selected before the change.

void wxBookCtrlEvent::SetSelection | ( | int | page | ) |

Sets the selection member variable.

|  | [ top ]